Bug 9840 - Не добавляет пользователя, который был раньше.
: Не добавляет пользователя, который был раньше.
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/smbldap-tools)
: unstable
: all Linux
: P2 major
Assigned To:
:
:
:
:
: 9199 9913
  Show dependency tree
 
Reported: 2006-08-03 11:29 by
Modified: 2008-01-25 19:05 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-08-03 11:29:17
Если добавлять пользователя, который был добавлен раньше и затем удален, то
добавление его опять вываливается с ошибкой. При этом фактически запись в базу
происходит.

Steps to Reproduce:
1. Настраиваем LDAP, nss_pam, pam_ldap, smbldap-tools по статье
http://www.freesource.info/wiki/ALTLinux/Dokumentacija/OpenLDAP. Без TLS
2. Делаем #smbldap-populate
3. #smbldap-useradd petia
4. #smbldap-userdel petia
5. #smbldap-useradd petia
Actual Results:  
Получаем, на последнее добавление:
faild to modify entry: modify/add; memberUid: value #0 already exist at
/usr/sbin/smbldap_tools.pm line 579, <DATA> line 283.

При этом пользователь в LDAP добавляется (как-то)
------- Comment #1 From 2006-08-03 12:14:24 -------
а если попробовать эксперимента ради собрать smbldap-tools с сайта без
прикладывания алтовских патчей -- ситуация не изменится?
------- Comment #2 From 2006-08-03 12:38:07 -------
(In reply to comment #1)
> а если попробовать эксперимента ради собрать smbldap-tools с сайта без
> прикладывания алтовских патчей -- ситуация не изменится?
После отключения патчей все работает.

Новая версия 0.9.2 имеет поддержку UTF и хочет perl-Unicode-Map8, которого для
x86_64 почему-то нет :-(
------- Comment #3 From 2006-12-14 11:40:36 -------
fixed in smbldap-tools-0.9.2-alt0.src.rpm